Create the Pulp user as system user without a login shell
10/21/2021 04:49 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 3.1.0
Difficulty: Fixed in Releases: 3.1.0
Triaged: Yes Found in Releases:
Bugzilla link: 2014037 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pul
pcore/pull/237

Description
The pulp account is created with the default login shell (usually /bin/bash) but it doesn't need to log in so it should be /sbin/nologin.

It should also be considered to make it a system account, but that can lead to a complex migration.

Related issues:
Related to Installer - Bug #34379: Create the Pulp group as system group Closed

Associated revisions

Revision 5a7991ab - 10/21/2021 05:01 PM - Ewoud Kohl van Wijngaarden

Fixes #33765 - Use a system user without a login shell
The user pulp doesn't need to login so it's set to /sbin/nologin.

It should also be a system user. This doesn't affect exsting
installations, but it ensures fresh installations are clean. From
useradd's man page:

System users will be created with no aging information in
/etc/shadow, and their numeric identifiers are chosen in the
SYS_UID_MIN-SYS_UID_MAX range, defined in /etc/login.defs, instead
of UID_MIN-UID_MAX (and their GID counterparts for the creation of
groups) .

This typically means newly created pulp users will end up with a UID <
1000 while with the current code it's > 1000.

History

#1 - 10/21/2021 04:59 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/237 added

#2 - 10/21/2021 07:08 PM - Ewoud Kohl van Wijngaarden

- Subject changed from There is a new login account in satellite 6.9 to Create the Pulp user as system user without a login shell

#3 - 10/21/2021 07:08 PM - Ewoud Kohl van Wijngaarden
- Category set to Foreman modules

- Triaged changed from No to Yes

#4 - 10/21/2021 08:00 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
Applied in changeset puppet-pulpcore|5a7991ab90a25aa3add176c1714fc416053a007a.

#5 - 02/02/2022 02:47 PM - Ewoud Kohl van Wijngaarden
- Target version set to 3.1.0

- Fixed in Releases 3.1.0 added

This was actually shipped in 3.1.0 but | think the bot missed it.

#6 - 02/02/2022 02:49 PM - Ewoud Kohl van Wijngaarden
- Related to Bug #34379: Create the Pulp group as system group added
